Package org.snpsift.lang.function

# Class Function

java.lang.Object
org.snpsift.lang.expression.Expression
org.snpsift.lang.function.Function

Direct Known Subclasses:
  `CountHet`, `CountHom`, `CountRef`, `CountVariant`, `FunctionBoolGenotype`, `In`

public abstract class Function extends Expression
A function that returns an expression (i.e. a value with a type)

Author:
  pablocingolani

## Field Summary

### Fields inherited from class org.snpsift.lang.expression.Expression

`debug, negated, operator`

## Constructor Summary

Constructors
Constructor
Description
`Function(String functionName)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.snpsift.lang.expression.Expression

`eval, eval, setNegated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Function

public Function(String functionName)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`